#! /usr/bin/perl -w

use 5.010;
use strict;
use warnings;
use autodie; # open and Co will die on errors
use utf8; # utf-8 source code
use open qw(:std :utf8);

use Getopt::Long qw(:config bundling);
#use IO::Handle;
#use Data::Dumper;

# Could be useful:
# use Try::Tiny; # try { die "help !"; } catch { warn $_; }
# use Smart::Comments; # active comments, http://search.cpan.org/perldoc?Smart::Comments
# use autobox; #  call methods on native types, http://search.cpan.org/perldoc?autobox
# use perl5i::2; # autoboxing, method signatures and many modules, http://search.cpan.org/perldoc?perl5i

use constant { VERSION => 1 };

# initialize options
my %opts = (
	verbose => 0,
	debug => 0,
);

# Read command-line options
GetOptions(\%opts,
	"man",
	"help|h",
	"verbose|v+",
	"debug|D+",
);
$opts{verbose} += $opts{debug};

# Print help thanks to Pod::Usage
use Pod::Usage;
pod2usage(-verbose => 2) if $opts{man};
pod2usage(-verbose => 0) if $opts{help};

# now starts the real app



#################################################################


__END__

=encoding utf8

=head1 NAME



=head1 SYNOPSIS


=head1 OPTIONS

=over 8

=item B<-h, --help>

Affiche une page d'aide abrégée.
Print a short help notice.

=item B<--man>

Affiche cette page de man.
Print this man page.

=item B<-v, --verbose>

Incrémente la verbosité.
Increase verbosity.

=back

=cut
